itstool: upgraded package to upstream

Upgraded dev-util/itstool to version 2.0.6 for python3 support.

BUG=chromium:1007152
TEST=CQ passes

Change-Id: I90baa8ef3bb9d2a273d0205737b45513502a3560
Reviewed-on: https://chromium-review.googlesource.com/c/chromiumos/overlays/portage-stable/+/2042355
Reviewed-by: Alex Klein <saklein@chromium.org>
Commit-Queue: Mike Frysinger <vapier@chromium.org>
Tested-by: Mike Frysinger <vapier@chromium.org>
diff --git a/dev-util/itstool/Manifest b/dev-util/itstool/Manifest
index 2d10dd2..4a22341 100644
--- a/dev-util/itstool/Manifest
+++ b/dev-util/itstool/Manifest
@@ -1 +1 @@
-DIST itstool-2.0.2.tar.bz2 96748 SHA256 bf909fb59b11a646681a8534d5700fec99be83bb2c57badf8c1844512227033a SHA512 b7915c4d463fe5969e282029c2080730c78e18d2d5878da53c6a370f471056b51a7b3f3c08417b801212ba674f55548a112a12a9d81634f60d1e52a8a47a4aa2 WHIRLPOOL 9e027e9e01cdfd5d4e14b83d2cf85e2c6b9778f5f966de50fe501e56547a4c014b68cc242b33f073756cdf8d217f0171baaff5a8f1b86c47aab1f31437b4773e
+DIST itstool-2.0.6.tar.bz2 103067 BLAKE2B 72d3254cb88ef9d02f9b3509a46c2208e98bf6327f139e5d29b99cc6d80651bd41ea3bfb78e48e23cf7c217770cd8c6c74b00946ad9d2608a92925e43457edf0 SHA512 51058bdcb208f6fb84810f71f9bf67e42b00bf157a9756be45f060849c0aff36f695f4403404193720d4446818fa77de61fa94eed9e8789d26c07a2926072eb7
diff --git a/dev-util/itstool/itstool-2.0.2.ebuild b/dev-util/itstool/itstool-2.0.2.ebuild
deleted file mode 100644
index 80ef336..0000000
--- a/dev-util/itstool/itstool-2.0.2.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/itstool/itstool-2.0.2.ebuild,v 1.9 2014/09/15 08:19:58 ago Exp $
-
-EAPI=5
-
-PYTHON_COMPAT=( python{2_6,2_7} )
-PYTHON_REQ_USE="xml"
-
-inherit python-single-r1
-
-DESCRIPTION="Translation tool for XML documents that uses gettext files and ITS rules"
-HOMEPAGE="http://itstool.org/"
-SRC_URI="http://files.itstool.org/itstool/${P}.tar.bz2"
-
-# files in /usr/share/itstool/its are HPND/as-is || GPL-3
-LICENSE="GPL-3+ || ( HPND GPL-3+ )"
-SLOT="0"
-KEYWORDS="*"
-IUSE=""
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="${PYTHON_DEPS}
-	dev-libs/libxml2[python,${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}"
-
-pkg_setup() {
-	DOCS=(ChangeLog NEWS) # AUTHORS, README are empty
-	python-single-r1_pkg_setup
-}
-
-src_prepare() {
-	python_fix_shebang .
-}
diff --git a/dev-util/itstool/itstool-2.0.6.ebuild b/dev-util/itstool/itstool-2.0.6.ebuild
new file mode 100644
index 0000000..454ee08
--- /dev/null
+++ b/dev-util/itstool/itstool-2.0.6.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE="xml"
+
+inherit python-single-r1
+
+DESCRIPTION="Translation tool for XML documents that uses gettext files and ITS rules"
+HOMEPAGE="http://itstool.org/"
+SRC_URI="http://files.itstool.org/itstool/${P}.tar.bz2"
+
+# files in /usr/share/itstool/its are under a special exception || GPL-3+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="*"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+	dev-libs/libxml2[python,${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND=""
+
+DOCS=(ChangeLog NEWS) # AUTHORS, README are empty
+
+src_test() {
+	:
+	#"${PYTHON}" tests/run_tests.py || die "test suite failed" # Test suite not shipped in tarball
+}
diff --git a/dev-util/itstool/metadata.xml b/dev-util/itstool/metadata.xml
index dcf8006..90e918d 100644
--- a/dev-util/itstool/metadata.xml
+++ b/dev-util/itstool/metadata.xml
@@ -1,7 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-  <herd>gnome</herd>
+  <maintainer type="project">
+    <email>gnome@gentoo.org</email>
+    <name>Gentoo GNOME Desktop</name>
+  </maintainer>
   <longdescription lang="en">ITS Tool allows you to translate your XML documents
   with gettext PO files, using rules from the W3C Internationalization Tag Set
   (ITS) to determine what to translate and how to separate it into PO file